[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.ShowCaption

Indicates if the Caption for the speed button is displayed.

## Declaration

Source position: buttons.pp line 432

`public property TCustomSpeedButton.ShowCaption : Boolean read FShowCaption write SetShowCaption default True;`

## Description

The default value for the property is True. Changing the value for the property causes the control to be redrawn.

ShowCaption is used in the MeasureDraw method. When set to True, the text extent for Caption is displayed using the Font and Layout for the control. It is also used in the GetTextSize method when the text extent is calculated.